package com.bonus.core.account.dto;

import io.swagger.annotations.ApiModelProperty;
import javax.validation.constraints.NotNull;

import java.time.LocalDateTime;

public class MacAccErrorRecordDTO {
   @ApiModelProperty("人员id")
   private @NotNull(
   message = "{acc_single_null_custid_exception}"
) Long custId;
   @ApiModelProperty("充值金额")
   private @NotNull(
   message = "{acc_operation_amount_null_exception}"
) Integer amount;
   @ApiModelProperty("设备sn码")
   private String deviceSn;
   @ApiModelProperty("充值时间 yyyy-MM-dd HH:mm:ss")
   private LocalDateTime rechargeTime;
   @ApiModelProperty("失败原因")
   private String errorMsg;
   @ApiModelProperty("设备订单号")
   private String macOrderId;

   public Long getCustId() {
      return this.custId;
   }

   public Integer getAmount() {
      return this.amount;
   }

   public String getDeviceSn() {
      return this.deviceSn;
   }

   public LocalDateTime getRechargeTime() {
      return this.rechargeTime;
   }

   public String getErrorMsg() {
      return this.errorMsg;
   }

   public String getMacOrderId() {
      return this.macOrderId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setAmount(final Integer amount) {
      this.amount = amount;
   }

   public void setDeviceSn(final String deviceSn) {
      this.deviceSn = deviceSn;
   }

   public void setRechargeTime(final LocalDateTime rechargeTime) {
      this.rechargeTime = rechargeTime;
   }

   public void setErrorMsg(final String errorMsg) {
      this.errorMsg = errorMsg;
   }

   public void setMacOrderId(final String macOrderId) {
      this.macOrderId = macOrderId;
   }


}
